      SUBROUTINE WSCAL (N, SR, SI, XR, XI, INCX)
      IMPLICIT NONE
C
      INTEGER N, INCX
      DOUBLE PRECISION SR, SI, XR(*), XI(*)
C
      INTEGER I, IX
C
C
      IF (N.LE.0) RETURN
      IX = 1
      DO 10 I = 1, N
        CALL WMUL (SR, SI, XR(IX), XI(IX), XR(IX), XI(IX))
        IX = IX+INCX
10    CONTINUE
C
      RETURN
      END
